Bug 110210 - [CI][DRMTIP] igt@i915_selftest@live_uncore -dmesg-fail -live_forcewake_ops failed with error -110
Summary: [CI][DRMTIP] igt@i915_selftest@live_uncore -dmesg-fail -live_forcewake_ops fa...
Status: RESOLVED WONTFIX
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-20 12:36 UTC by Lakshmi
Modified: 2019-04-08 20:20 UTC (History)
1 user (show)

See Also:
i915 platform: IVB, SKL
i915 features: power/GT


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-03-20 12:36:05 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5780/fi-ivb-3770/igt@i915_selftest@live_uncore.html
Starting subtest: live_uncore
(i915_selftest:3941) igt_kmod-WARNING: ntel_pch_type [i915]] Found CougarPoint PCH
(i915_selftest:3941) igt_kmod-WARNING: 915_driver_load [i915]] WOPCM size: 1024KiB
(i915_selftest:3941) igt_kmod-WARNING: ntel_uc_init_early [i915]] enable_guc=0 (submission:no huc:no)
(i915_selftest:3941) igt_kmod-WARNING: ntel_uc_init_early [i915]] guc_log_level=0 (enabled:no, verbose:no, verbosity:0)
(i915_selftest:3941) igt_kmod-WARNING: ntel_power_domains_init [i915]] Allowed DC state mask 00
(i915_selftest:3941) igt_kmod-WARNING: 915_ggtt_probe_hw [i915]] GGTT size = 2048M
(i915_selftest:3941) igt_kmod-WARNING: 915_ggtt_probe_hw [i915]] GMADR size = 256M
(i915_selftest:3941) igt_kmod-WARNING: 915_ggtt_probe_hw [i915]] DSM size = 64M
(i915_selftest:3941) igt_kmod-WARNING: 0:02.0: vgaarb: deactivate vga console
(i915_selftest:3941) igt_kmod-WARNING: 000:00:02.0
(i915_selftest:3941) igt_kmod-WARNING: 915_gem_init_stolen [i915]] GEN6_STOLEN_RESERVED = df100007
(i915_selftest:3941) igt_kmod-WARNING: 915_gem_init_stolen [i915]] Memory reserved for graphics device: 65536K, usable: 64512K
(i915_selftest:3941) igt_kmod-WARNING: ntel_gvt_init [i915]] GVT-g is disabled by kernel params
(i915_selftest:3941) igt_kmod-WARNING: ntel_opregion_setup [i915]] graphic opregion physical addr: 0xd8f5f018
(i915_selftest:3941) igt_kmod-WARNING: ntel_opregion_setup [i915]] ACPI OpRegion version 2.0.0
(i915_selftest:3941) igt_kmod-WARNING: ntel_opregion_setup [i915]] SWSCI supported
(i915_selftest:3941) igt_kmod-WARNING: ntel_opregion_setup [i915]] SWSCI GBDA callbacks 00000cf3, SBCB callbacks 00000241
(i915_selftest:3941) igt_kmod-WARNING: ntel_opregion_setup [i915]] Found valid VBT in ACPI OpRegion (Mailbox #4)
(i915_selftest:3941) igt_kmod-WARNING: ntel_bios_init [i915]] Skipping VBT init due to disabled display.
(i915_selftest:3941) igt_kmod-WARNING: ntel_dsm_detect [i915]] no _DSM method for intel device
(i915_selftest:3941) igt_kmod-WARNING: 915_driver_load [i915]] rawclk rate: 125000 kHz
(i915_selftest:3941) igt_kmod-WARNING: ntel_power_well_enable [i915]] enabling always-on
(i915_selftest:3941) igt_kmod-WARNING: ntel_fbc_init [i915]] Sanitized enable_fbc value: 0
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Primary WM0 latency 12 (1.2 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Primary WM1 latency 4 (2.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Primary WM2 latency 16 (8.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Primary WM3 latency 32 (16.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Sprite WM0 latency 12 (1.2 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Sprite WM1 latency 4 (2.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Sprite WM2 latency 16 (8.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Sprite WM3 latency 32 (16.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Cursor WM0 latency 12 (1.2 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Cursor WM1 latency 4 (2.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Cursor WM2 latency 16 (8.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Cursor WM3 latency 32 (16.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_modeset_init [i915]] 0 display pipe available.
(i915_selftest:3941) igt_kmod-WARNING: ntel_modeset_init [i915]] FDI PLL freq=270000
(i915_selftest:3941) igt_kmod-WARNING: ntel_dump_cdclk_state [i915]] Current CDCLK 400000 kHz, VCO 0 kHz, ref 0 kHz, bypass 0 kHz, voltage level 0
(i915_selftest:3941) igt_kmod-WARNING: ntel_update_max_cdclk [i915]] Max CD clock rate: 400000 kHz
(i915_selftest:3941) igt_kmod-WARNING: ntel_modeset_init [i915]] Max dotclock rate: 360000 kHz
(i915_selftest:3941) igt_kmod-WARNING: ntel_modeset_setup_hw_state [i915]] PCH DPLL A hw state readout: crtc_mask 0x00000000, on 0
(i915_selftest:3941) igt_kmod-WARNING: ntel_modeset_setup_hw_state [i915]] PCH DPLL B hw state readout: crtc_mask 0x00000000, on 0
(i915_selftest:3941) igt_kmod-WARNING: 915_gem_init_ggtt [i915]] clearing unused GTT space: [1000, 80000000]
(i915_selftest:3941) igt_kmod-WARNING: 915_gem_contexts_init [i915]] logical context support initialized
(i915_selftest:3941) igt_kmod-WARNING: ntel_init_gt_powersave [i915]] Overclocking supported, max: 1150MHz, overclock: 1150MHz
(i915_selftest:3941) igt_kmod-WARNING: 0:02.0 on minor 0
(i915_selftest:3941) igt_kmod-WARNING: ntel_power_well_disable [i915]] disabling always-on
(i915_selftest:3941) igt_kmod-WARNING: pciid=0x0162 rev=0x09 platform=IVYBRIDGE gen=7
(i915_selftest:3941) igt_kmod-WARNING: is_mobile: no
(i915_selftest:3941) igt_kmod-WARNING: is_lp: no
(i915_selftest:3941) igt_kmod-WARNING: is_alpha_support: no
(i915_selftest:3941) igt_kmod-WARNING: has_64bit_reloc: no
(i915_selftest:3941) igt_kmod-WARNING: gpu_reset_clobbers_display: no
(i915_selftest:3941) igt_kmod-WARNING: has_reset_engine: no
(i915_selftest:3941) igt_kmod-WARNING: has_fpga_dbg: no
(i915_selftest:3941) igt_kmod-WARNING: has_guc: no
(i915_selftest:3941) igt_kmod-WARNING: has_guc_ct: no
(i915_selftest:3941) igt_kmod-WARNING: has_l3_dpf: yes
(i915_selftest:3941) igt_kmod-WARNING: has_llc: yes
(i915_selftest:3941) igt_kmod-WARNING: has_logical_ring_contexts: no
(i915_selftest:3941) igt_kmod-WARNING: has_logical_ring_elsq: no
(i915_selftest:3941) igt_kmod-WARNING: has_logical_ring_preemption: no
(i915_selftest:3941) igt_kmod-WARNING: has_pooled_eu: no
(i915_selftest:3941) igt_kmod-WARNING: has_rc6: yes
(i915_selftest:3941) igt_kmod-WARNING: has_rc6p: yes
(i915_selftest:3941) igt_kmod-WARNING: has_runtime_pm: no
(i915_selftest:3941) igt_kmod-WARNING: has_snoop: no
(i915_selftest:3941) igt_kmod-WARNING: has_coherent_ggtt: yes
(i915_selftest:3941) igt_kmod-WARNING: unfenced_needs_alignment: no
(i915_selftest:3941) igt_kmod-WARNING: hws_needs_physical: no
(i915_selftest:3941) igt_kmod-WARNING: cursor_needs_physical: no
(i915_selftest:3941) igt_kmod-WARNING: has_csr: no
(i915_selftest:3941) igt_kmod-WARNING: has_ddi: no
(i915_selftest:3941) igt_kmod-WARNING: has_dp_mst: no
(i915_selftest:3941) igt_kmod-WARNING: has_fbc: yes
(i915_selftest:3941) igt_kmod-WARNING: has_gmch: no
(i915_selftest:3941) igt_kmod-WARNING: has_hotplug: yes
(i915_selftest:3941) igt_kmod-WARNING: has_ipc: no
(i915_selftest:3941) igt_kmod-WARNING: has_overlay: no
(i915_selftest:3941) igt_kmod-WARNING: has_psr: no
(i915_selftest:3941) igt_kmod-WARNING: overlay_needs_physical: no
(i915_selftest:3941) igt_kmod-WARNING: supports_tv: no
(i915_selftest:3941) igt_kmod-WARNING: slice total: 0, mask=0000
(i915_selftest:3941) igt_kmod-WARNING: subslice total: 0
(i915_selftest:3941) igt_kmod-WARNING: EU total: 0
(i915_selftest:3941) igt_kmod-WARNING: EU per subslice: 0
(i915_selftest:3941) igt_kmod-WARNING: has slice power gating: no
(i915_selftest:3941) igt_kmod-WARNING: has subslice power gating: no
(i915_selftest:3941) igt_kmod-WARNING: has EU power gating: no
(i915_selftest:3941) igt_kmod-WARNING: CS timestamp frequency: 12500 kHz
(i915_selftest:3941) igt_kmod-WARNING: Performing live selftests with st_random_seed=0x8e161d04 st_timeout=1000
(i915_selftest:3941) igt_kmod-WARNING: Running uncore
(i915_selftest:3941) igt_kmod-WARNING: Running intel_uncore_live_selftests/live_forcewake_ops
(i915_selftest:3941) igt_kmod-WARNING: ING_START=1000, fw_domains 0x1 still up after 100ms!
(i915_selftest:3941) igt_kmod-WARNING: live_forcewake_ops failed with error -110
(i915_selftest:3941) igt_kmod-WARNING: ntel_power_well_enable [i915]] enabling always-on
(i915_selftest:3941) igt_kmod-WARNING: probe of 0000:00:02.0 failed with error -110
(i915_selftest:3941) igt_kmod-CRITICAL: Test assertion failure function igt_kselftest_execute, file ../lib/igt_kmod.c:532:
(i915_selftest:3941) igt_kmod-CRITICAL: Failed assertion: err == 0
(i915_selftest:3941) igt_kmod-CRITICAL: kselftest "i915 igt__13__live_uncore=1 live_selftests=-1 disable_display=1 st_filter=" failed: Connection timed out [110]
Subtest live_uncore failed.
**** DEBUG ****
(i915_selftest:3941) igt_kmod-WARNING: ntel_pch_type [i915]] Found CougarPoint PCH
(i915_selftest:3941) igt_kmod-WARNING: 915_driver_load [i915]] WOPCM size: 1024KiB
(i915_selftest:3941) igt_kmod-WARNING: ntel_uc_init_early [i915]] enable_guc=0 (submission:no huc:no)
(i915_selftest:3941) igt_kmod-WARNING: ntel_uc_init_early [i915]] guc_log_level=0 (enabled:no, verbose:no, verbosity:0)
(i915_selftest:3941) igt_kmod-WARNING: ntel_power_domains_init [i915]] Allowed DC state mask 00
(i915_selftest:3941) igt_kmod-WARNING: 915_ggtt_probe_hw [i915]] GGTT size = 2048M
(i915_selftest:3941) igt_kmod-WARNING: 915_ggtt_probe_hw [i915]] GMADR size = 256M
(i915_selftest:3941) igt_kmod-WARNING: 915_ggtt_probe_hw [i915]] DSM size = 64M
(i915_selftest:3941) igt_kmod-WARNING: 0:02.0: vgaarb: deactivate vga console
(i915_selftest:3941) igt_kmod-WARNING: 000:00:02.0
(i915_selftest:3941) igt_kmod-WARNING: 915_gem_init_stolen [i915]] GEN6_STOLEN_RESERVED = df100007
(i915_selftest:3941) igt_kmod-WARNING: 915_gem_init_stolen [i915]] Memory reserved for graphics device: 65536K, usable: 64512K
(i915_selftest:3941) igt_kmod-WARNING: ntel_gvt_init [i915]] GVT-g is disabled by kernel params
(i915_selftest:3941) igt_kmod-WARNING: ntel_opregion_setup [i915]] graphic opregion physical addr: 0xd8f5f018
(i915_selftest:3941) igt_kmod-WARNING: ntel_opregion_setup [i915]] ACPI OpRegion version 2.0.0
(i915_selftest:3941) igt_kmod-WARNING: ntel_opregion_setup [i915]] SWSCI supported
(i915_selftest:3941) igt_kmod-WARNING: ntel_opregion_setup [i915]] SWSCI GBDA callbacks 00000cf3, SBCB callbacks 00000241
(i915_selftest:3941) igt_kmod-WARNING: ntel_opregion_setup [i915]] Found valid VBT in ACPI OpRegion (Mailbox #4)
(i915_selftest:3941) igt_kmod-WARNING: ntel_bios_init [i915]] Skipping VBT init due to disabled display.
(i915_selftest:3941) igt_kmod-WARNING: ntel_dsm_detect [i915]] no _DSM method for intel device
(i915_selftest:3941) igt_kmod-WARNING: 915_driver_load [i915]] rawclk rate: 125000 kHz
(i915_selftest:3941) igt_kmod-WARNING: ntel_power_well_enable [i915]] enabling always-on
(i915_selftest:3941) igt_kmod-WARNING: ntel_fbc_init [i915]] Sanitized enable_fbc value: 0
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Primary WM0 latency 12 (1.2 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Primary WM1 latency 4 (2.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Primary WM2 latency 16 (8.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Primary WM3 latency 32 (16.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Sprite WM0 latency 12 (1.2 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Sprite WM1 latency 4 (2.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Sprite WM2 latency 16 (8.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Sprite WM3 latency 32 (16.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Cursor WM0 latency 12 (1.2 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Cursor WM1 latency 4 (2.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Cursor WM2 latency 16 (8.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_print_wm_latency [i915]] Cursor WM3 latency 32 (16.0 usec)
(i915_selftest:3941) igt_kmod-WARNING: ntel_modeset_init [i915]] 0 display pipe available.
(i915_selftest:3941) igt_kmod-WARNING: ntel_modeset_init [i915]] FDI PLL freq=270000
(i915_selftest:3941) igt_kmod-WARNING: ntel_dump_cdclk_state [i915]] Current CDCLK 400000 kHz, VCO 0 kHz, ref 0 kHz, bypass 0 kHz, voltage level 0
(i915_selftest:3941) igt_kmod-WARNING: ntel_update_max_cdclk [i915]] Max CD clock rate: 400000 kHz
(i915_selftest:3941) igt_kmod-WARNING: ntel_modeset_init [i915]] Max dotclock rate: 360000 kHz
(i915_selftest:3941) igt_kmod-WARNING: ntel_modeset_setup_hw_state [i915]] PCH DPLL A hw state readout: crtc_mask 0x00000000, on 0
(i915_selftest:3941) igt_kmod-WARNING: ntel_modeset_setup_hw_state [i915]] PCH DPLL B hw state readout: crtc_mask 0x00000000, on 0
(i915_selftest:3941) igt_kmod-WARNING: 915_gem_init_ggtt [i915]] clearing unused GTT space: [1000, 80000000]
(i915_selftest:3941) igt_kmod-WARNING: 915_gem_contexts_init [i915]] logical context support initialized
(i915_selftest:3941) igt_kmod-WARNING: ntel_init_gt_powersave [i915]] Overclocking supported, max: 1150MHz, overclock: 1150MHz
(i915_selftest:3941) igt_kmod-WARNING: 0:02.0 on minor 0
(i915_selftest:3941) igt_kmod-WARNING: ntel_power_well_disable [i915]] disabling always-on
(i915_selftest:3941) igt_kmod-WARNING: pciid=0x0162 rev=0x09 platform=IVYBRIDGE gen=7
(i915_selftest:3941) igt_kmod-WARNING: is_mobile: no
(i915_selftest:3941) igt_kmod-WARNING: is_lp: no
(i915_selftest:3941) igt_kmod-WARNING: is_alpha_support: no
(i915_selftest:3941) igt_kmod-WARNING: has_64bit_reloc: no
(i915_selftest:3941) igt_kmod-WARNING: gpu_reset_clobbers_display: no
(i915_selftest:3941) igt_kmod-WARNING: has_reset_engine: no
(i915_selftest:3941) igt_kmod-WARNING: has_fpga_dbg: no
(i915_selftest:3941) igt_kmod-WARNING: has_guc: no
(i915_selftest:3941) igt_kmod-WARNING: has_guc_ct: no
(i915_selftest:3941) igt_kmod-WARNING: has_l3_dpf: yes
(i915_selftest:3941) igt_kmod-WARNING: has_llc: yes
(i915_selftest:3941) igt_kmod-WARNING: has_logical_ring_contexts: no
(i915_selftest:3941) igt_kmod-WARNING: has_logical_ring_elsq: no
(i915_selftest:3941) igt_kmod-WARNING: has_logical_ring_preemption: no
(i915_selftest:3941) igt_kmod-WARNING: has_pooled_eu: no
(i915_selftest:3941) igt_kmod-WARNING: has_rc6: yes
(i915_selftest:3941) igt_kmod-WARNING: has_rc6p: yes
(i915_selftest:3941) igt_kmod-WARNING: has_runtime_pm: no
(i915_selftest:3941) igt_kmod-WARNING: has_snoop: no
(i915_selftest:3941) igt_kmod-WARNING: has_coherent_ggtt: yes
(i915_selftest:3941) igt_kmod-WARNING: unfenced_needs_alignment: no
(i915_selftest:3941) igt_kmod-WARNING: hws_needs_physical: no
(i915_selftest:3941) igt_kmod-WARNING: cursor_needs_physical: no
(i915_selftest:3941) igt_kmod-WARNING: has_csr: no
(i915_selftest:3941) igt_kmod-WARNING: has_ddi: no
(i915_selftest:3941) igt_kmod-WARNING: has_dp_mst: no
(i915_selftest:3941) igt_kmod-WARNING: has_fbc: yes
(i915_selftest:3941) igt_kmod-WARNING: has_gmch: no
(i915_selftest:3941) igt_kmod-WARNING: has_hotplug: yes
(i915_selftest:3941) igt_kmod-WARNING: has_ipc: no
(i915_selftest:3941) igt_kmod-WARNING: has_overlay: no
(i915_selftest:3941) igt_kmod-WARNING: has_psr: no
(i915_selftest:3941) igt_kmod-WARNING: overlay_needs_physical: no
(i915_selftest:3941) igt_kmod-WARNING: supports_tv: no
(i915_selftest:3941) igt_kmod-WARNING: slice total: 0, mask=0000
(i915_selftest:3941) igt_kmod-WARNING: subslice total: 0
(i915_selftest:3941) igt_kmod-WARNING: EU total: 0
(i915_selftest:3941) igt_kmod-WARNING: EU per subslice: 0
(i915_selftest:3941) igt_kmod-WARNING: has slice power gating: no
(i915_selftest:3941) igt_kmod-WARNING: has subslice power gating: no
(i915_selftest:3941) igt_kmod-WARNING: has EU power gating: no
(i915_selftest:3941) igt_kmod-WARNING: CS timestamp frequency: 12500 kHz
(i915_selftest:3941) igt_kmod-WARNING: Performing live selftests with st_random_seed=0x8e161d04 st_timeout=1000
(i915_selftest:3941) igt_kmod-WARNING: Running uncore
(i915_selftest:3941) igt_kmod-WARNING: Running intel_uncore_live_selftests/live_forcewake_ops
(i915_selftest:3941) igt_kmod-WARNING: ING_START=1000, fw_domains 0x1 still up after 100ms!
(i915_selftest:3941) igt_kmod-WARNING: live_forcewake_ops failed with error -110
(i915_selftest:3941) igt_kmod-WARNING: ntel_power_well_enable [i915]] enabling always-on
(i915_selftest:3941) igt_kmod-WARNING: probe of 0000:00:02.0 failed with error -110
(i915_selftest:3941) igt_kmod-CRITICAL: Test assertion failure function igt_kselftest_execute, file ../lib/igt_kmod.c:532:
(i915_selftest:3941) igt_kmod-CRITICAL: Failed assertion: err == 0
(i915_selftest:3941) igt_kmod-CRITICAL: kselftest "i915 igt__13__live_uncore=1 live_selftests=-1 disable_display=1 st_filter=" failed: Connection timed out [110]
(i915_selftest:3941) igt_core-INFO: Stack trace:
(i915_selftest:3941) igt_core-INFO:   #0 ../lib/igt_core.c:1474 __igt_fail_assert()
(i915_selftest:3941) igt_core-INFO:   #1 ../lib/igt_kmod.c:534 igt_kselftest_execute()
(i915_selftest:3941) igt_core-INFO:   #2 ../lib/igt_kmod.c:566 igt_kselftests()
(i915_selftest:3941) igt_core-INFO:   #3 ../tests/i915/i915_selftest.c:43 __real_main29()
(i915_selftest:3941) igt_core-INFO:   #4 ../tests/i915/i915_selftest.c:29 main()
(i915_selftest:3941) igt_core-INFO:   #5 ../csu/libc-start.c:344 __libc_start_main()
(i915_selftest:3941) igt_core-INFO:   #6 [_start+0x2a]
****  END  ****
Subtest live_uncore: FAIL (1.423s)
Comment 1 CI Bug Log 2019-03-20 12:37:58 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* IVB: igt@i915_selftest@live_uncore - dmesg-fail - live_forcewake_ops failed with error -110
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12524/fi-ivb-3770/igt@i915_selftest@live_uncore.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5780/fi-ivb-3770/igt@i915_selftest@live_uncore.html
Comment 2 Chris Wilson 2019-03-20 12:38:50 UTC
On the one hand, I hope it flip-flops as it means we are close to the right technique :)
Comment 3 Chris Wilson 2019-03-20 17:32:56 UTC
It's a flip-flop. We might be able to get away with bumping the timeout, if we can't resolve it within a few patches.
Comment 4 CI Bug Log 2019-03-21 09:28:09 UTC
A CI Bug Log filter associated to this bug has been updated:

{- IVB: igt@i915_selftest@live_uncore - dmesg-fail - live_forcewake_ops failed with error -110 -}
{+ IVB SKL: igt@i915_selftest@live_uncore - dmesg-fail - live_forcewake_ops failed with error -110 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5783/fi-skl-gvtdvm/igt@i915_selftest@live_uncore.html
Comment 5 Chris Wilson 2019-03-21 20:10:35 UTC
So just those two platforms. Interesting; another week to get another 100 runs or so to see if any others are affected.
Comment 6 CI Bug Log 2019-04-01 07:31:11 UTC
A CI Bug Log filter associated to this bug has been updated:

{- IVB SKL: igt@i915_selftest@live_uncore - dmesg-fail - live_forcewake_ops failed with error -110 -}
{+ IVB SKL KBL: igt@i915_selftest@live_uncore - dmesg-fail - live_forcewake_ops failed with error -110 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5847/fi-kbl-8809g/igt@i915_selftest@live_uncore.html
Comment 7 Chris Wilson 2019-04-08 20:20:20 UTC
commit 6484775766e37049883d49e7ee9c1a174f0d0524 (HEAD -> drm-intel-next-queued, drm-intel/for-linux-next, drm-intel/drm-intel-next-queued)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Apr 7 20:26:49 2019 +0100

    drm/i915/selftests: Mark live_forcewake_ops as unreliable
    
    A couple of machines in the farm show quite frequent errors in the
    powerwells not being released. Either there is an external agent
    interferring with the powerwells, or the powerwell doesn't quite behave
    as we anticipate -- either way, the test is not reliable enough to be
    enabled by default in CI. It has served its immediate purpose in
    providing coverage as we made tweaks to forcewake, so keep it available
    for future testing.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=110210
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Daniele Ceraolo Spurio <daniele.ceraolospurio@intel.com>
    Cc: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Reviewed-by: Daniele Ceraolo Spurio <daniele.ceraolospurio@intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190407192649.14750-1-chris@chris-wilson.co.uk


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.